package com.company;

import java.util.ArrayList;
import java.util.Random;

public class Comp extends Player {
    Random r = new Random();

    @Override
    public Card chooseCardToThrow(ArrayList<Card> cards, Card card) {
        Card c = null;
        if (possibleCards.get(card).size() > 0) {
            int number = r.nextInt(possibleCards.get(card).size());
            c = possibleCards.get(card).get(number);
            getPlayerCards().remove(c);
        }
        else {
            c = randomPunishmentCard(cards);
            getPlayerCards().add(c);
            if (c instanceof Colored) {
                if (card instanceof Colored) {
                    if (!((Colored) c).checkEquality((Colored) card))
                        c = null;
                }
                else
                    c = null;
            }
        }
        return c;
    }

    public String chooseColorIfBlack(Card card){
        String s = null;
        if (card instanceof Black){
            int color = r.nextInt(4) + 1;
            switch (color){
                case 1:
                    s = "Red";
                    break;
                case 2:
                    s = "Green";
                    break;
                case 3:
                    s = "Yellow";
                    break;
                case 4:
                    s = "Blue";
                    break;
            }
        }
        return s;
    }

    @Override
    public Card chooseColorToThrow(ArrayList<Card> cards, String Color) {
        Card c = null;
        if (possibleColorCards.get(Color).size() > 0) {
            int number = r.nextInt(getPossibleCards().size());
            c = possibleColorCards.get(Color).get(number);
            getPlayerCards().remove(c);
        }
        else {
            System.out.println("kirekhar");
            c = randomPunishmentCard(cards);
            System.out.println(c.toString());
            getPlayerCards().add(c);
            if (c instanceof Colored) {
                if (!c.cardColor.equals(Color)) {
                    c = null;
                }
            }
        }
        return c;
    }
}
